[general]
static=yes
writeprotect=no
[globals]
DIR_RECORDS={{ ASTERISK_EXTENSIONS_CALL_DIR_RECORDS }}
[default]

;Вешаем трубку
[handup-sip]
exten => _X!,1,HangUp()

;Макрос записи разговоров
;[recording]
;exten => s,1,Set(fname=${UNIQUEID}-${STRFTIME(${EPOCH},,%Y-%m-%d-%H_%M)}-${ARG1}-${ARG2})
;exten => s,n,Set(monopt=nice -n 19 /usr/local/bin/lame -b 32 --silent "${DIR_RECORDS}${fname}.wav" "${DIR_RECORDS}${fname}.mp3" && rm -f "${DIR_RECORDS}${fname}.wav" && chmod o+r "${DIR_RECOR>
;exten => s,n,Set(CDR(filename)=${fname}.mp3)
;exten => s,n,Set(CDR(realdst)=${ARG2})
;exten => s,n,MixMonitor(${DIR_RECORDS}${fname}.wav,b,${monopt})
;exten => s,n(no),Verbose(Exit record)
;exten => s,n,Return()

;Исходящие звонки
[call-out]
switch => Realtime/call-out@extensions
;Входящие звонки
[call-in]
switch => Realtime/call-in@extensions